pklogin_finder(1)

NAME
pklogin_finder - maps certificates into a user

SYNTAX
pklogin_finder [debug] [config_file=<filename>]

DESCRIPTION
pklogin_finder uses the pam_pkcs11 library infrastructure to interactively map a PKCS#11 provided certificate to a user.

pklogin_finder uses the the same configuration file and arguments than pam_pkcs11(8) PAM module. Load defined mapper modules, and try to find a map between found certificates and a user login.

OPTIONS

debug
    Enable debugging output. Default is no debug.

config_file=<configuration file>
    Sets the configuration file to use. Default value is /etc/pam_pkcs11/pam_pkcs11.conf.

As it uses the same configuration file than pam_pkcs11, all pam_pkcs11 options are also available. Note that some of them has no sense in a non-PAM environment, so they will be ignored.

RETURN VALUE
On success pklogin_finder prints on stdout the login name and exits returns 0.

On user mapping error it returns 1.

On no user match it prints nothing and returns 2.

FILES
/etc/pam_pkcs11/pam_pkcs11.conf

EXAMPLES
To run this program the standard way, insert a smart card into the reader and type:
 pklogin_finder

Alternatively you can specify options:
 pklogin_finder debug config_file=${HOME}/.pam_pkcs11.conf

AUTHORS

Juan Antonio Martinez <jonsito@teleline.es>

SEE ALSO
pam_pkcs11(8), pkcs11_inspect(1), PAM-PKCS11 User Manual